EDIT - bug #4300

Authority form does not work under Windows
08/05/2014 11:16 AM - Andreas Mdller

Status: Worksforme Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: taxeditor Estimated time: 0:00 hour

Target version:

Severity: blocker Found in Version:

Description

Except for the Delete button and the Operation Checkboxes the Authority Form does not work on Windows

History

#1 - 08/05/2014 11:17 AM - Andreas Miiller
- Severity changed from normal to critical

- Tracker changed from feature request to bug

#2 - 08/05/2014 11:46 AM - Andreas Miiller

- Severity changed from critical to blocker

#3 - 08/06/2014 01:51 PM - Cherian Mathew

The problem is also seen under Linux and stems from the recent change in r21124. where the selection behaviour in the taxon navigator has been
updated from double click to single click for opening a taxon editor.

This move to single click (selection changed) disrupts the drag & drop to the new Authority form since the opening of the taxon editor is triggered at
drag start which brings the editor in focus and prevents the user from completing the drop.

Reverting the change solves the problem, but the change has not been committed yet since we are not sure why the change was done (awaiting reply
from Katja).

#4 - 08/07/2014 04:44 PM - Cherian Mathew
fix committed in r21422

#5 - 09/12/2014 02:03 AM - Andreas Miiller

The reason why single click was used was a requirement from the Red List Project. Florian realized that new users sometimes click only once on a
taxon in the navigator and then do not understand how to continue as nothing happens.

But he agrees to change back to double click for the above reasons.
#6 - 04/16/2020 06:45 PM - Andreas Miiller

- Description updated

- Status changed from New to Feedback

- Assignee changed from Cherian Mathew to Andreas Kohlbecker

- Target version changed from 120 to Release 5.15

- Private changed from Yes to No

To me it looks like this ticket can be closed as worksforme even if the authority form is still not working very well, but this is another issue.

AK and KL, can you please veryfy and change status and target version if checked?

#7 - 04/16/2020 06:53 PM - Andreas Miuller

- Tags set to security, permission

#9 - 06/09/2020 06:21 PM - Andreas Kohlbecker

- Status changed from Feedback to Worksforme
- Priority changed from New to Highest

- Target version deleted (Release 5.15)

Operation Checkboxes in the Authority Form do now work in windows 10.

| have no idea how and when this was fixed, so | can't reference another ticket or a change set.
